
QGIS Application - Bug report #9378

QGIS crash when editing WFS layers with overlaps

2014-01-20 03:45 AM - Jacob Madsen

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Windows 32-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 17978

Description

Please open the attached project file with QGIS 2.0.1 32-bit in Windows. Login is:

Username: vejlby

Password: testjylland7400

Now, after opening the project, follow these instructions carefully:

- Select the layer, which ends with "Belaegning".

- Right click and toggle editing.

- Add 2 polygons to this layer. Make sure, that they overlap an existing polygon in this layer. Don't save the layer.

- Choose the selection tool (single object).

- Select an object in the "Belaegning" layer. Choose an object, which was there in the beginning - ie not one of those you just added.

- Now, press Ctrl to try adding one of the NEW objects, which is not yet committed, to the selection. When doing so, QGIS crashes again

with a minidump, at least on my system.

Again, I should note, that I can only reproduce this - it seems - on the 32-bit version of the 2.0.1 stable Windows version. But please try, if

you can reproduce this with http://qgis.org/downloads/QGIS-OSGeo4W-2.0.1-3-Setup-x86.exe.

Issue confirmed by Werner Macho

Related issues:

Related to QGIS Application - Bug report # 8979: Crashing WFS in 32bit Window... Closed 2013-10-17

History

#1 - 2014-01-20 03:46 AM - Jacob Madsen

- File vejlby_qgisbugtest.qgs added

#2 - 2014-01-20 02:25 PM - Giovanni Manghi

- Status changed from Open to Feedback

does not happem on qgis master 64bit/linux.

Does happen on master/Windows?

#3 - 2014-01-20 02:28 PM - Jacob Madsen

Appears frequently on the 32-bit Windows version, no matter if the Windows OS itself is 32- or 64-bit
http://qgis.org/downloads/QGIS-OSGeo4W-2.0.1-3-Setup-x86.exe


#4 - 2014-01-26 11:55 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

- Status changed from Feedback to Open

- Priority changed from High to Severe/Regression

I can confirm it, as already said on qgis 32bit, not 64.

And does not happen on QGIS 1.8, so it is a regression.

#5 - 2014-02-07 05:54 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#6 - 2014-02-07 06:03 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#7 - 2014-02-11 12:20 AM - Jürgen Fischer

- Status changed from Open to Feedback

- Assignee deleted (Marco Hugentobler)

Might be a duplicate of #8979. Could you verify that the problem is gone in current master.

#8 - 2014-02-14 01:47 AM - Jacob Madsen

Hi

I've not so far been able to reproduce this in build commit:57dd877, however I need a colleague to verify. He won't be back until Monday unfortunately, but

so far it looks good :-)

#9 - 2014-02-15 03:01 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

I have tested again and I can't also replicate the issue anymore, please reopen if necessary.

Files

vejlby_qgisbugtest.qgs 10.9 KB 2014-01-20 Jacob Madsen
